/*
 *    VisNow
 *    Copyright (C) 2006-2019 University of Warsaw, ICM
 *    Copyright (C) 2020 onward visnow.org
 *    All rights reserved. 
 *
 *  This file is part of GNU Classpath.
 *
 *  GNU Classpath is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  GNU Classpath is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Classpath; see the file COPYING.  If not, write to the
 *  University of Warsaw, Interdisciplinary Centre for Mathematical and
 *  Computational Modelling, Pawinskiego 5a, 02-106 Warsaw, Poland.
 *
 *  Linking this library statically or dynamically with other modules is
 *  making a combined work based on this library.  Thus, the terms and
 *  conditions of the GNU General Public License cover the whole
 *  combination.
 *
 *  As a special exception, the copyright holders of this library give you
 *  permission to link this library with independent modules to produce an
 *  executable, regardless of the license terms of these independent
 *  modules, and to copy and distribute the resulting executable under
 *  terms of your choice, provided that you also meet, for each linked
 *  independent module, the terms and conditions of the license of that
 *  module.  An independent module is a module which is not derived from
 *  or based on this library.  If you modify this library, you may extend
 *  this exception to your version of the library, but you are not
 *  obligated to do so.  If you do not wish to do so, delete this
 *  exception statement from your version.
 */
 
package org.visnow.vn.lib.basic.filters.CellToNode;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JCheckBox;
import org.visnow.vn.engine.core.ParameterProxy;
import org.visnow.vn.engine.core.Parameters;
import static org.visnow.vn.lib.basic.filters.CellToNode.CellToNodeShared.DROP;

/**
 *
 * @author know
 */
public class GUI extends javax.swing.JPanel
{
    private Parameters parameters;

    /**
     * Creates new form GUI
     */
    public GUI()
    {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents()
    {

        dropCellDataBox = new JCheckBox();

        setLayout(new BorderLayout());

        dropCellDataBox.setSelected(true);
        dropCellDataBox.setText("  drop converted cell data");
        dropCellDataBox.addActionListener(new ActionListener()
        {
            public void actionPerformed(ActionEvent evt)
            {
                dropCellDataBoxActionPerformed(evt);
            }
        });
        add(dropCellDataBox, BorderLayout.NORTH);
    }// </editor-fold>//GEN-END:initComponents

    private void dropCellDataBoxActionPerformed(ActionEvent evt)//GEN-FIRST:event_dropCellDataBoxActionPerformed
    {//GEN-HEADEREND:event_dropCellDataBoxActionPerformed
        parameters.set(DROP, dropCellDataBox.isSelected());
    }//GEN-LAST:event_dropCellDataBoxActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected JCheckBox dropCellDataBox;
    // End of variables declaration//GEN-END:variables

    void updateGUI(ParameterProxy p)
    {
        dropCellDataBox.setSelected(p.get(DROP));
    }

    void setParameters(Parameters parameters)
    {
        this.parameters = parameters;
    }
}
